Package org.h2.mvstore

# Class Page.PageReference<K,V>

java.lang.Object
org.h2.mvstore.Page.PageReference<K,V>

Enclosing class:
  Page<K,V>

public static final class Page.PageReference<K,V> extends Object
A pointer to a page, either in-memory or using a page position.

## Constructor Summary

Constructors
Constructor
Description
`PageReference(Page<K,V> page)`

## Method Summary

Modifier and Type
Method
Description
`static <X, Y> Page.PageReference<X,Y>`
`empty()`
Get an empty page reference.
`Page<K,V>`
`getPage()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### PageReference

public PageReference(Page<K,V> page)

## Method Details

### empty

public static <X, Y> Page.PageReference<X,Y> empty()
Get an empty page reference.

Type Parameters:
  `X` - the key class
  `Y` - the value class
Returns:
  the page reference

### getPage

public Page<K,V> getPage()

### toString

public String toString()

Overrides:
  `toString` in class `Object`